> ## Documentation Index
> Fetch the complete documentation index at: https://www.domo.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Collections

> Retrieves a list of the existing Collections for your application.



## OpenAPI

````yaml /openapi/framework/appdb.yaml get /domo/datastores/v1/collections
openapi: 3.0.0
info:
  title: Domo AppDB API
  version: v1
  description: >
    AppDB API for storing arbitrary JSON documents similar to a NoSQL database.
    This enables storing state within your DomoApp

    with optional syncing to Domo DataSets.


    Three layers provide data storage:

    - **Datastores**: Analogous to a database. A CustomApp has a single
    datastore created automatically.

    - **Collections**: Analogous to a collection in NoSQL or table in relational
    databases.

    - **Documents**: Analogous to documents in NoSQL or table rows in relational
    databases.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: example
        description: Your Domo instance name
security: []
paths:
  /domo/datastores/v1/collections:
    get:
      tags:
        - AppDB API
      summary: List Collections
      description: Retrieves a list of the existing Collections for your application.
      responses:
        '200':
          description: Array of collections
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Collection'
              example:
                - id: bea2bb1b-d4bb-4414-89fa-4d69dd8743db
                  datastoreId: fcd8baba-9524-4fb5-b94b-b3d3b588e740
                  defaultPermissions: null
                  requiredAuthorities: null
                  owner: 330281426
                  name: Students
                  datasourceId: null
                  schema:
                    columns:
                      - type: STRING
                        name: name
                      - type: STRING
                        name: house
                  filters: null
                  syncEnabled: false
                  syncRequired: false
                  cdcEnabled: false
                  fullReplaceRequired: false
                  lastSync: null
                  createdOn: '2026-08-04T18:58:58.661Z'
                  updatedOn: '2026-08-04T18:58:58.661Z'
                  updatedBy: 330281426
                - id: 277f0d9f-355d-4905-8fb8-0dc87e496159
                  datastoreId: fcd8baba-9524-4fb5-b94b-b3d3b588e740
                  defaultPermissions: null
                  requiredAuthorities: null
                  owner: 330281426
                  name: Teachers
                  datasourceId: null
                  schema:
                    columns:
                      - type: STRING
                        name: name
                      - type: STRING
                        name: house
                      - type: STRING
                        name: subjects
                  filters: null
                  syncEnabled: false
                  syncRequired: false
                  cdcEnabled: false
                  fullReplaceRequired: false
                  lastSync: null
                  createdOn: '2026-08-04T19:14:26.862Z'
                  updatedOn: '2026-08-04T19:14:26.862Z'
                  updatedBy: 330281426
      x-codeSamples:
        - lang: JavaScript
          label: domo.js
          source: |-
            domo.get('/domo/datastores/v1/collections')
              .then(collections => console.log(collections));
        - lang: JavaScript
          label: domo.js v6
          source: |-
            // domo.js v6
            const collections = await domo.appdb.listCollections();
            console.log(collections);
        - lang: cURL
          label: cURL
          source: |-
            # This API is only available inside a Domo app.
            # Use the JavaScript (domo.js) tab for the correct usage.
        - lang: Python
          label: Python
          source: |-
            # This API is only available inside a Domo app.
            # Use the JavaScript (domo.js) tab for the correct usage.
        - lang: PHP
          label: PHP
          source: |-
            // This API is only available inside a Domo app.
            // Use the JavaScript (domo.js) tab for the correct usage.
        - lang: Go
          label: Go
          source: |-
            // This API is only available inside a Domo app.
            // Use the JavaScript (domo.js) tab for the correct usage.
        - lang: Java
          label: Java
          source: |-
            // This API is only available inside a Domo app.
            // Use the JavaScript (domo.js) tab for the correct usage.
        - lang: Ruby
          label: Ruby
          source: |-
            # This API is only available inside a Domo app.
            # Use the JavaScript (domo.js) tab for the correct usage.
components:
  schemas:
    Collection:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the collection.
        owner:
          type: integer
          format: int64
          description: User ID of the collection owner.
        datastoreId:
          type: string
          format: uuid
          description: ID of the datastore this collection belongs to.
        name:
          type: string
          description: Name of the collection.
        datasourceId:
          type: string
          format: uuid
          nullable: true
          description: ID of the linked Domo DataSet, or null if not yet linked.
        defaultPermissions:
          nullable: true
          description: >-
            Comma-separated default permission set for new app grants on this
            collection, or null if not set.
        requiredAuthorities:
          nullable: true
          description: >-
            Maps CollectionOperation names to required authority strings, or
            null if not set.
        filters:
          nullable: true
          description: >-
            Array of document-level filter predicates applied to read
            operations, or null if not set.
        schema:
          $ref: '#/components/schemas/Schema'
        syncEnabled:
          type: boolean
          description: Whether documents are periodically synced to the linked DataSet.
        syncRequired:
          type: boolean
          description: Whether a sync is pending.
        cdcEnabled:
          type: boolean
          description: Whether change data capture is enabled for this collection.
        fullReplaceRequired:
          type: boolean
        lastSync:
          type: string
          format: date-time
          nullable: true
        createdOn:
          type: string
          format: date-time
        updatedOn:
          type: string
          format: date-time
        updatedBy:
          type: integer
          format: int64
      example:
        id: a3aaeeed-5210-4048-9ff0-d88fa0de4eda
        datastoreId: 5565fecc-a852-4799-83bf-f9423c0f7687
        defaultPermissions: null
        requiredAuthorities: null
        owner: 870010733
        name: Students
        datasourceId: null
        schema:
          columns:
            - type: STRING
              name: name
            - type: STRING
              name: house
        filters: null
        syncEnabled: false
        syncRequired: false
        cdcEnabled: false
        fullReplaceRequired: false
        lastSync: null
        createdOn: '2026-06-25T01:26:34.744Z'
        updatedOn: '2026-06-25T01:26:34.744Z'
        updatedBy: 870010733
    Schema:
      type: object
      properties:
        columns:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              type:
                type: string
                enum:
                  - STRING
                  - LONG
                  - DECIMAL
                  - DOUBLE
                  - DATE
                  - DATETIME
                description: >-
                  The type of value. Dates must be formatted as `YYYY-MM-DD`.
                  DateTimes must be formatted as `YYYY-MM-DDTHH:MM:SSZ`.

````